InfoApi - interface

export
interface

  InfoApiInterface

### Hierarchy

- InfoApiInterface

### Implemented by

- InfoApi

## Index

### Methods

- getCoreApiInfo
- getCoreApiInfoRaw
- getNetworkBlockTimeByNetwork
- getNetworkBlockTimeByNetworkRaw
- getNetworkBlockTimes
- getNetworkBlockTimesRaw
- getPoxInfo
- getPoxInfoRaw
- getStatus
- getStatusRaw
- getStxSupply
- getStxSupplyCirculatingPlain
- getStxSupplyCirculatingPlainRaw
- getStxSupplyRaw
- getStxSupplyTotalSupplyPlain
- getStxSupplyTotalSupplyPlainRaw
- getTotalStxSupplyLegacyFormat
- getTotalStxSupplyLegacyFormatRaw

## Methods

### getCoreApiInfo

- getCoreApiInfo(initOverrides?: RequestInit): Promise< CoreNodeInfoResponse >

- - Defined in src/generated/apis/InfoApi.ts:73

  Get Core API information Get Core API info

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< CoreNodeInfoResponse >

### getCoreApiInfoRaw

- getCoreApiInfoRaw(initOverrides?: RequestInit): Promise< ApiResponse < CoreNodeInfoResponse >>

- - Defined in src/generated/apis/InfoApi.ts:67

  Get Core API information

  summary

    Get Core API info

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < CoreNodeInfoResponse >>

### getNetworkBlockTimeByNetwork

- getNetworkBlockTimeByNetwork(requestParameters: GetNetworkBlockTimeByNetworkRequest, initOverrides?: RequestInit): Promise< NetworkBlockTimeResponse >

- - Defined in src/generated/apis/InfoApi.ts:88

  Get a given network's target block time

  #### Parameters

  - ##### requestParameters: GetNetworkBlockTimeByNetworkRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NetworkBlockTimeResponse >

### getNetworkBlockTimeByNetworkRaw

- getNetworkBlockTimeByNetworkRaw(requestParameters: GetNetworkBlockTimeByNetworkRequest, initOverrides?: RequestInit): Promise< ApiResponse < NetworkBlockTimeResponse >>

- - Defined in src/generated/apis/InfoApi.ts:83
  summary

    Get a given network's target block time

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### requestParameters: GetNetworkBlockTimeByNetworkRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NetworkBlockTimeResponse >>

### getNetworkBlockTimes

- getNetworkBlockTimes(initOverrides?: RequestInit): Promise< NetworkBlockTimesResponse >

- - Defined in src/generated/apis/InfoApi.ts:102

  Get the network target block time

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NetworkBlockTimesResponse >

### getNetworkBlockTimesRaw

- getNetworkBlockTimesRaw(initOverrides?: RequestInit): Promise< ApiResponse < NetworkBlockTimesResponse >>

- - Defined in src/generated/apis/InfoApi.ts:97
  summary

    Get the network target block time

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NetworkBlockTimesResponse >>

### getPoxInfo

- getPoxInfo(initOverrides?: RequestInit): Promise< CoreNodePoxResponse >

- - Defined in src/generated/apis/InfoApi.ts:117

  Get Proof of Transfer (PoX) information. Can be used for Stacking. Get PoX details

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< CoreNodePoxResponse >

### getPoxInfoRaw

- getPoxInfoRaw(initOverrides?: RequestInit): Promise< ApiResponse < CoreNodePoxResponse >>

- - Defined in src/generated/apis/InfoApi.ts:111

  Get Proof of Transfer (PoX) information. Can be used for Stacking.

  summary

    Get PoX details

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < CoreNodePoxResponse >>

### getStatus

- getStatus(initOverrides?: RequestInit): Promise< ServerStatusResponse >

- - Defined in src/generated/apis/InfoApi.ts:132

  Get Blockchain API status Get Blockchain API status

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ServerStatusResponse >

### getStatusRaw

- getStatusRaw(initOverrides?: RequestInit): Promise< ApiResponse < ServerStatusResponse >>

- - Defined in src/generated/apis/InfoApi.ts:126

  Get Blockchain API status

  summary

    Get Blockchain API status

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < ServerStatusResponse >>

### getStxSupply

- getStxSupply(requestParameters: GetStxSupplyRequest, initOverrides?: RequestInit): Promise< GetStxSupplyResponse >

- - Defined in src/generated/apis/InfoApi.ts:147

  Get total and unlocked STX supply

  #### Parameters

  - ##### requestParameters: GetStxSupplyRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetStxSupplyResponse >

### getStxSupplyCirculatingPlain

- getStxSupplyCirculatingPlain(initOverrides?: RequestInit): Promise<string>

- - Defined in src/generated/apis/InfoApi.ts:161

  Get circulating STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### getStxSupplyCirculatingPlainRaw

- getStxSupplyCirculatingPlainRaw(initOverrides?: RequestInit): Promise< ApiResponse <string>>

- - Defined in src/generated/apis/InfoApi.ts:156
  summary

    Get circulating STX supply in plain text format

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

### getStxSupplyRaw

- getStxSupplyRaw(requestParameters: GetStxSupplyRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetStxSupplyResponse >>

- - Defined in src/generated/apis/InfoApi.ts:142
  summary

    Get total and unlocked STX supply

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### requestParameters: GetStxSupplyRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetStxSupplyResponse >>

### getStxSupplyTotalSupplyPlain

- getStxSupplyTotalSupplyPlain(initOverrides?: RequestInit): Promise<string>

- - Defined in src/generated/apis/InfoApi.ts:175

  Get total STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### getStxSupplyTotalSupplyPlainRaw

- getStxSupplyTotalSupplyPlainRaw(initOverrides?: RequestInit): Promise< ApiResponse <string>>

- - Defined in src/generated/apis/InfoApi.ts:170
  summary

    Get total STX supply in plain text format

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

### getTotalStxSupplyLegacyFormat

- getTotalStxSupplyLegacyFormat(requestParameters: GetTotalStxSupplyLegacyFormatRequest, initOverrides?: RequestInit): Promise< GetStxSupplyLegacyFormatResponse >

- - Defined in src/generated/apis/InfoApi.ts:190

  Get total and unlocked STX supply (results formatted the same as the legacy 1.0 API)

  #### Parameters

  - ##### requestParameters: GetTotalStxSupplyLegacyFormatRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetStxSupplyLegacyFormatResponse >

### getTotalStxSupplyLegacyFormatRaw

- getTotalStxSupplyLegacyFormatRaw(requestParameters: GetTotalStxSupplyLegacyFormatRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetStxSupplyLegacyFormatResponse >>

- - Defined in src/generated/apis/InfoApi.ts:185
  summary

    Get total and unlocked STX supply (results formatted the same as the legacy 1.0 API)

  throws

    {RequiredError}

  memberof

    InfoApiInterface

  #### Parameters

  - ##### requestParameters: GetTotalStxSupplyLegacyFormatRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetStxSupplyLegacyFormatResponse >>

Generated using TypeDoc